=== modified file 'plugin/data_engine/character_sets.cc'
--- plugin/data_engine/character_sets.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/character_sets.cc	2010-02-01 01:44:43 +0000
@@ -39,7 +39,7 @@
   cs= all_charsets;
 }
 
-bool CharacterSetsTool::Generator::populate(Field **)
+bool CharacterSetsTool::Generator::populate()
 {
   for (; cs < all_charsets+255 ; cs++)
   {

=== modified file 'plugin/data_engine/character_sets.h'
--- plugin/data_engine/character_sets.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/character_sets.h	2010-02-01 01:44:43 +0000
@@ -29,8 +29,6 @@
   CharacterSetsTool();
   ~CharacterSetsTool() {}
 
-  bool populate(Field ** fields);
-
   class Generator : public Tool::Generator 
   {
     CHARSET_INFO **cs;
@@ -38,7 +36,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field ** fields);
+    bool populate();
 
   };
 

=== modified file 'plugin/data_engine/collations.cc'
--- plugin/data_engine/collations.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/collations.cc	2010-02-01 01:44:43 +0000
@@ -43,7 +43,7 @@
   cl= all_charsets;
 }
 
-bool CollationsTool::Generator::populate(Field **)
+bool CollationsTool::Generator::populate()
 {
   for (; cs < all_charsets+255 ; cs++)
   {

=== modified file 'plugin/data_engine/collations.h'
--- plugin/data_engine/collations.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/collations.h	2010-02-01 01:44:43 +0000
@@ -36,7 +36,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field ** fields);
+    bool populate();
 
   };
 

=== modified file 'plugin/data_engine/columns.cc'
--- plugin/data_engine/columns.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/columns.cc	2010-02-01 01:44:43 +0000
@@ -92,7 +92,7 @@
   return true;
 }
 
-bool ColumnsTool::Generator::populate(Field **)
+bool ColumnsTool::Generator::populate()
 {
   if (not nextColumn())
     return false;

=== modified file 'plugin/data_engine/columns.h'
--- plugin/data_engine/columns.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/columns.h	2010-02-01 01:44:43 +0000
@@ -40,7 +40,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field **fields);
+    bool populate();
     void fill();
 
     const drizzled::message::Table::Field& getColumn()

=== modified file 'plugin/data_engine/cursor.cc'
--- plugin/data_engine/cursor.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/cursor.cc	2010-02-01 01:44:43 +0000
@@ -66,7 +66,7 @@
   bool more_rows;
   ha_statistic_increment(&SSV::ha_read_rnd_next_count);
 
-  more_rows= generator->sub_populate(table->field);
+  more_rows= generator->sub_populate();
 
   if (more_rows)
   {

=== modified file 'plugin/data_engine/index_parts.cc'
--- plugin/data_engine/index_parts.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/index_parts.cc	2010-02-01 01:44:43 +0000
@@ -78,7 +78,7 @@
   return true;
 }
 
-bool IndexPartsTool::Generator::populate(Field **)
+bool IndexPartsTool::Generator::populate()
 {
   if (not nextIndexParts())
     return false;

=== modified file 'plugin/data_engine/index_parts.h'
--- plugin/data_engine/index_parts.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/index_parts.h	2010-02-01 01:44:43 +0000
@@ -38,7 +38,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field **fields);
+    bool populate();
 
     bool nextIndexPartsCore();
     bool nextIndexParts();

=== modified file 'plugin/data_engine/indexes.cc'
--- plugin/data_engine/indexes.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/indexes.cc	2010-02-01 01:44:43 +0000
@@ -80,7 +80,7 @@
   return true;
 }
 
-bool IndexesTool::Generator::populate(Field **)
+bool IndexesTool::Generator::populate()
 {
   if (not nextIndex())
     return false;

=== modified file 'plugin/data_engine/indexes.h'
--- plugin/data_engine/indexes.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/indexes.h	2010-02-01 01:44:43 +0000
@@ -55,7 +55,7 @@
 
     bool nextIndex();
 
-    bool populate(Field **fields);
+    bool populate();
   };
 
   Generator *generator(Field **arg)

=== modified file 'plugin/data_engine/modules.cc'
--- plugin/data_engine/modules.cc	2010-02-01 01:35:31 +0000
+++ plugin/data_engine/modules.cc	2010-02-01 01:44:43 +0000
@@ -44,7 +44,7 @@
   it= modules.begin();
 }
 
-bool ModulesTool::Generator::populate(Field **)
+bool ModulesTool::Generator::populate()
 {
   if (it == modules.end())
     return false;

=== modified file 'plugin/data_engine/modules.h'
--- plugin/data_engine/modules.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/modules.h	2010-02-01 01:44:43 +0000
@@ -36,7 +36,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field ** fields);
+    bool populate();
   };
 
   

=== modified file 'plugin/data_engine/plugins.cc'
--- plugin/data_engine/plugins.cc	2010-02-01 01:35:31 +0000
+++ plugin/data_engine/plugins.cc	2010-02-01 01:44:43 +0000
@@ -43,7 +43,7 @@
   end= plugin_map.end();
 }
 
-bool PluginsTool::Generator::populate(Field **)
+bool PluginsTool::Generator::populate()
 {
   const drizzled::plugin::Plugin *plugin= (*it).second;
 

=== modified file 'plugin/data_engine/plugins.h'
--- plugin/data_engine/plugins.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/plugins.h	2010-02-01 01:44:43 +0000
@@ -35,7 +35,7 @@
   public:
     Generator(Field **arg);
 
-    bool populate(Field ** fields);
+    bool populate();
   };
 
   Generator *generator(Field **arg)

=== modified file 'plugin/data_engine/processlist.cc'
--- plugin/data_engine/processlist.cc	2010-02-01 01:21:52 +0000
+++ plugin/data_engine/processlist.cc	2010-02-01 01:44:43 +0000
@@ -54,9 +54,8 @@
   pthread_mutex_unlock(&LOCK_thread_count);
 }
 
-bool ProcesslistTool::Generator::populate(Field ** fields)
+bool ProcesslistTool::Generator::populate()
 {
-  Field **field= fields;
   const char *val;
   Session* tmp;
   Security_context *tmp_sctx;
@@ -68,8 +67,7 @@
   tmp_sctx= &tmp->security_ctx;
 
   /* ID */
-  (*field)->store((int64_t) tmp->thread_id, true);
-  field++;
+  push((int64_t) tmp->thread_id);
 
 
   /* USER */

=== modified file 'plugin/data_engine/processlist.h'
--- plugin/data_engine/processlist.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/processlist.h	2010-02-01 01:44:43 +0000
@@ -37,7 +37,7 @@
     Generator(Field **arg);
     ~Generator();
 
-    bool populate(Field ** fields);
+    bool populate();
   };
 
   Generator *generator(Field **arg)

=== modified file 'plugin/data_engine/schemas.cc'
--- plugin/data_engine/schemas.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/schemas.cc	2010-02-01 01:44:43 +0000
@@ -62,7 +62,7 @@
   
 
 
-bool SchemasTool::Generator::populate(Field **)
+bool SchemasTool::Generator::populate()
 {
   if (nextSchema())
   {

=== modified file 'plugin/data_engine/schemas.h'
--- plugin/data_engine/schemas.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/schemas.h	2010-02-01 01:44:43 +0000
@@ -49,7 +49,7 @@
       return is_schema_parsed ? schema.name() : (*schema_iterator);
     }
 
-    bool populate(Field **fields);
+    bool populate();
     bool nextSchema();
     bool isSchemaPrimed()
     {

=== modified file 'plugin/data_engine/tables.cc'
--- plugin/data_engine/tables.cc	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/tables.cc	2010-02-01 01:44:43 +0000
@@ -92,7 +92,7 @@
   return true;
 }
 
-bool TablesTool::Generator::populate(Field **)
+bool TablesTool::Generator::populate()
 {
   if (not nextTable())
     return false;

=== modified file 'plugin/data_engine/tables.h'
--- plugin/data_engine/tables.h	2010-02-01 01:07:48 +0000
+++ plugin/data_engine/tables.h	2010-02-01 01:44:43 +0000
@@ -59,7 +59,7 @@
       return is_tables_primed;
     }
 
-    bool populate(Field ** fields);
+    bool populate();
     bool nextTable();
   };
 

=== modified file 'plugin/data_engine/tool.h'
--- plugin/data_engine/tool.h	2010-02-01 01:35:31 +0000
+++ plugin/data_engine/tool.h	2010-02-01 01:44:43 +0000
@@ -73,13 +73,13 @@
     /*
       Return type is bool meaning "are there more rows".
     */
-    bool sub_populate(Field **arg)
+    bool sub_populate()
     {
       columns_iterator= columns;
-      return populate(arg);
+      return populate();
     }
 
-    virtual bool populate(Field **)
+    virtual bool populate()
     {
       return false;
     }

